%% artoaDataInput.ini moved to artoaConfig
if artoa.data.hasMember(artoaDataInput, 'ini')
    [artoaConfig, artoaDataInput] = moveIniToArtoaConfig(artoaConfig, artoaDataInput);
end

function [artoaConfig, artoaDataInput] = moveIniToArtoaConfig(artoaConfig, artoaDataInput)
    fnames = fieldnames(artoaDataInput.ini);
    for i = 1:length(fnames)
        artoaConfig.(fnames{i}) = artoaDataInput.ini.(fnames{i});
    end
    artoaDataInput = rmfield(artoaDataInput, 'ini');
end