function [] = addDefaults()
%ADDDEFAULTS Summary of this function goes here
%   Detailed explanation goes here

global artoaConfig;

if ~artoa.data.hasMember(artoaConfig, 'defaults')
    artoaConfig.defaults = struct();
end
artoaConfig.defaults.interpolationMethods = { ...
    'None', ...
    'Linear', ...
    'Spline', ...
    'Cubic' ...
};
artoaConfig.defaults.soundspeedMethods = { ...
    'Del Grosso', ...
    'Linear' ...
};
artoaConfig.defaults.offsetsToCopy = { ...
    'Measured', ...
    'Empirical', ...
    'Optimum' ...
};
artoaConfig.defaults.soundvelocityToCopy = { ...
    'Measured', ...
    'Empirical', ...
    'Optimum' ...
};
artoaConfig.defaults.pickPointMarkerSize = 80;


end

